> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.select.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove role from SSO group

> Remove a specific role assignment from an SSO group



## OpenAPI

````yaml https://api.select.dev/public_openapi delete /api/{organization_id}/sso-group-mappings/{sso_group_name}/roles/{role_id}
openapi: 3.1.0
info:
  title: SELECT API (v1)
  version: 0.1.0
servers:
  - url: https://api.select.dev/
    description: SELECT API
security: []
paths:
  /api/{organization_id}/sso-group-mappings/{sso_group_name}/roles/{role_id}:
    delete:
      tags:
        - sso
        - public-api
      summary: Remove role from SSO group
      description: Remove a specific role assignment from an SSO group
      operationId: >-
        delete_sso_group_role_route_api__organization_id__sso_group_mappings__sso_group_name__roles__role_id__delete
      parameters:
        - name: sso_group_name
          in: path
          required: true
          schema:
            type: string
            title: Sso Group Name
            description: The SSO group name
          description: The SSO group name
        - name: role_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the role assignment
            title: Role Id
          description: The ID of the role assignment
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    SuccessResponse:
      properties:
        success:
          type: boolean
          const: true
          title: Success
      type: object
      required:
        - success
      title: SuccessResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````